%global python3_pkgversion 3.11
Name:           python-tomli
Version:        2.0.1
Release:        2.ac%{?dist}
Summary:        A little TOML parser for Python

License:        MIT
URL:            https://pypi.org/project/tomli/
Source0:        https://github.com/hukkin/tomli/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel

# The test suite uses the stdlib's unittest framework, but we use %%pytest
# as the test runner.
BuildRequires:  python%{python3_pkgversion}-pytest

%global _description %{expand:
Tomli is a Python library for parsing TOML.
Tomli is fully compatible with TOML v1.0.0.}


%description %_description

%package -n python%{python3_pkgversion}-tomli
Summary:        %{summary}

%description -n python%{python3_pkgversion}-tomli %_description


%prep
%autosetup -p1 -n tomli-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tomli


%check
%py3_check_import tomli
%pytest


%files -n python%{python3_pkgversion}-tomli -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%license LICENSE


%changelog
* Thu Mar 14 2024 Ding-Yi Chen <dingyichen@gmail.com> -  2.0.1-2.ac
 - Shortcut packaging
